function w = w(deska)
%
%w = v2v(deska)
%
%vpocet rotace tektonick desky ze tr bodu
%

[fi,lamda] = xyz2fl_pribl(deska(:,1:3));


for i=1:3
    T = Ry(pi/2 - fi(i)) * Rz(lamda(i));
    v = T * deska(i,4:6)';
    v(3) = 0;
    v = T' * v;
    
    od = 3 * i - 2;
    do = 3 * i;
    
    A(od:do , 1:3) = [
             0      -deska(i,3)  deska(i,2)
         deska(i,3)      0      -deska(i,1)
        -deska(i,2)  deska(i,1)      0
    ];
    
    l(od:do , 1) = v;
end

w = inv(A' * A) * A' * l;

