function [f,l] = xyz2fl_pribl(X,Y,Z)
%
%[f,l] = xyz2fl_pribl([X,Y,Z])
%
%vstup v [rad]
%

[m,n] = size(X);
if(n > 1)
    Y = X(:,2);
    Z = X(:,3);
    X = X(:,1);
end

f = asin( Z ./ (X.^2 + Y.^2 + Z.^2).^0.5);

l = atan2(Y,X);
